"""
Created on 3.11.21

@author: Joschka
"""
import numpy as np
from src import coil_class as BC


def main():
    dens = 999.78 # kg/m^3
    c_p = 4190 # J/kg*K

    d_T = 3

    flow = 0.3#/5 #m/s
    #flow *=2
    print(f"flow = {flow}m/s")
    V_t = 4.8 * 3.2 * 1e-6 * flow
    print(f"Volume rate = {V_t * 1e6} mL/s")
    m = dens * V_t

    Q = m * c_p * d_T
    print(f"Q = {Q} J/s")

    HH_Coil = BC.BCoil(HH=1, distance=51.694, radius=47.9263, layers=8, windings=8, wire_height=0.5,
                       wire_width=0.5, insulation_thickness=0.034, is_round=True,
                       winding_scheme=2)
    for I in np.arange(1,7,0.001):
        P = HH_Coil.power(I, 23)
        if P > Q:
            break

    print(f"Power = {P} W @ {I} A")

    B_max = HH_Coil.max_field(I)

    print(f"max field = {B_max} G")




if __name__ == '__main__':
    main()